TheSwamp

CAD Forums => CAD General => Topic started by: daron on September 25, 2003, 02:11:29 PM

Title: Vertical platform cad
Post by: daron on September 25, 2003, 02:11:29 PM
I have been trying to figure out how to access the object model of ADT through a tlb. I don't think it would be any different than accessing the object model of say, LDD or any other vertical platform, so has anybody using any other VP been able to access their tlb's in lisp? I find it hard to believe that VBA is the only way to access them.
Title: Vertical platform cad
Post by: John Kaul (Se7en) on September 25, 2003, 02:28:55 PM
Sorry cant help ya. (Honestly, I dont even know what your talking about.)
Title: Vertical platform cad
Post by: Mark on September 25, 2003, 02:39:13 PM
This is LDD2-4
Code: [Select]
(defun LD3-ProjectName (/ AeccApp AeccProject ProName)

  (vl-catch-all-apply
    (function
      (lambda ()
        (setq AeccApp
              (vla-getinterfaceobject
                (vlax-get-acad-object)
                "Aecc.Application"
                )
              )
        (setq AeccProject
              (vlax-get-property AeccApp 'ActiveProject)
              )
        (setq ProName
              (vlax-get-property AeccProject 'Name)
              )
        )
      )
    )
  (mapcar 'MST-release (list AeccApp AeccProject))
  ProName
  ) ; defun
Title: Vertical platform cad
Post by: daron on September 25, 2003, 02:55:04 PM
Thank you Mark. I'll try to figure that out.